pcl::geometry::HalfEdgeIndex Class Reference
Module geometry

Index used to access elements in the half-edge mesh. More...

`#include <pcl/geometry/mesh_indices.h>`

Inheritance diagram for pcl::geometry::HalfEdgeIndex:

## Public Types

typedef boost::totally_ordered< pcl::geometry::HalfEdgeIndex, boost::unit_steppable< pcl::geometry::HalfEdgeIndex, boost::additive< pcl::geometry::HalfEdgeIndex > > > | Base
typedef pcl::geometry::HalfEdgeIndex | Self

## Public Member Functions

| HalfEdgeIndex ()
| Constructor. More...
| HalfEdgeIndex (const int index)
| Constructor. More...
bool | isValid () const
| Returns true if the index is valid. More...
void | invalidate ()
| Invalidate the index. More...
int | get () const
| Get the index. More...
void | set (const int index)
| Set the index. More...
bool | operator< (const Self &other) const
| Comparison operators (with boost::operators): < > <= >=. More...
bool | operator== (const Self &other) const
| Comparison operators (with boost::operators): == !=. More...
Self & | operator++ ()
| Increment operators (with boost::operators): ++ (pre and post) More...
Self & | operator-- ()
| Decrement operators (with boost::operators): -- (pre and post) More...
Self & | operator+= (const Self &other)
| Addition operators (with boost::operators): + +=. More...
Self & | operator-= (const Self &other)
| Subtraction operators (with boost::operators): - -=. More...

## Friends

std::istream & | operator>> (std::istream &is, pcl::geometry::HalfEdgeIndex &index)
| istream operator. More...

## Detailed Description

Index used to access elements in the half-edge mesh.

It is basically just a wrapper around an integer with a few added methods.

Author
  Martin Saelzle

Definition at line 201 of file mesh_indices.h.

## Member Typedef Documentation

## Base

typedef boost::totally_ordered<pcl::geometry::HalfEdgeIndex, boost::unit_steppable <pcl::geometry::HalfEdgeIndex, boost::additive <pcl::geometry::HalfEdgeIndex> > > pcl::geometry::HalfEdgeIndex::Base

Definition at line 211 of file mesh_indices.h.

## Self

typedef pcl::geometry::HalfEdgeIndex pcl::geometry::HalfEdgeIndex::Self

Definition at line 212 of file mesh_indices.h.

## Constructor & Destructor Documentation

## HalfEdgeIndex() [1/2]

pcl::geometry::HalfEdgeIndex::HalfEdgeIndex | ( |  | ) |

inline

Constructor.

Initializes with an invalid index.

Definition at line 215 of file mesh_indices.h.

## HalfEdgeIndex() [2/2]

pcl::geometry::HalfEdgeIndex::HalfEdgeIndex | ( | const int | index | ) |

inline explicit

Constructor.

Parameters

  [in] | index | The integer index.

Definition at line 223 of file mesh_indices.h.

## Member Function Documentation

## get()

int pcl::geometry::HalfEdgeIndex::get | ( |  | ) | const

inline

Get the index.

Definition at line 244 of file mesh_indices.h.

Referenced by pcl::geometry::MeshBase< QuadMesh< MeshTraitsT >, MeshTraitsT, QuadMeshTag >::getHalfEdge(), pcl::geometry::MeshBase< QuadMesh< MeshTraitsT >, MeshTraitsT, QuadMeshTag >::getOppositeHalfEdgeIndex(), operator+=(), operator-=(), operator<(), pcl::geometry::operator<<(), operator==(), pcl::geometry::MeshBase< QuadMesh< MeshTraitsT >, MeshTraitsT, QuadMeshTag >::setHalfEdge(), and pcl::geometry::toEdgeIndex().

## invalidate()

void pcl::geometry::HalfEdgeIndex::invalidate | ( |  | ) |

inline

Invalidate the index.

Definition at line 237 of file mesh_indices.h.

## isValid()

bool pcl::geometry::HalfEdgeIndex::isValid | ( |  | ) | const

inline

Returns true if the index is valid.

Definition at line 230 of file mesh_indices.h.

Referenced by pcl::geometry::toEdgeIndex().

## operator++()

Self& pcl::geometry::HalfEdgeIndex::operator++ | ( |  | ) |

inline

Increment operators (with boost::operators): ++ (pre and post)

Definition at line 272 of file mesh_indices.h.

## operator+=()

Self& pcl::geometry::HalfEdgeIndex::operator+= | ( | const Self & | other | ) |

inline

Addition operators (with boost::operators): + +=.

Definition at line 288 of file mesh_indices.h.

References get().

## operator--()

Self& pcl::geometry::HalfEdgeIndex::operator-- | ( |  | ) |

inline

Decrement operators (with boost::operators): -- (pre and post)

Definition at line 280 of file mesh_indices.h.

## operator-=()

Self& pcl::geometry::HalfEdgeIndex::operator-= | ( | const Self & | other | ) |

inline

Subtraction operators (with boost::operators): - -=.

Definition at line 296 of file mesh_indices.h.

References get(), and pcl::geometry::VertexIndex::operator>>.

## operator<()

bool pcl::geometry::HalfEdgeIndex::operator< | ( | const Self & | other | ) | const

inline

Comparison operators (with boost::operators): < > <= >=.

Definition at line 258 of file mesh_indices.h.

References get().

## operator==()

bool pcl::geometry::HalfEdgeIndex::operator== | ( | const Self & | other | ) | const

inline

Comparison operators (with boost::operators): == !=.

Definition at line 265 of file mesh_indices.h.

References get().

## set()

void pcl::geometry::HalfEdgeIndex::set | ( | const int | index | ) |

inline

Set the index.

Definition at line 251 of file mesh_indices.h.

## Friends And Related Function Documentation

## operator>>

std::istream& operator>> | ( | std::istream & | is,
|  | pcl::geometry::HalfEdgeIndex & | index
| ) |  |

friend

istream operator.

Definition at line 320 of file mesh_indices.h.

The documentation for this class was generated from the following file:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/geometry/include/pcl/geometry/mesh_indices.h